
Figure - Bug #117963
【IOV-27900】【VC1】【0095】【台架】【EE环境】【副屏】副屏在打开设置界面搜索框输入时，屏幕右边
会自动来回弹出音乐音量设置条
2023-05-16 17:00 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103 

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230513 13：55

【前提条件】：副屏上电，网络正常

【操作步骤】

1.点击副屏设置

2.点击上方搜索框

【实际结果】

1.屏幕右边会来回自动弹出音乐音量设置条

【期望结果】

1.搜索框正常进行输入

【备注】：

副屏第103次开机

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0076.x101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-16 17:46 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

在问题发生时, 收到了中控设置音量的消息

所以显示音量设置条，是由于中控在调整音量，请确认

------------------------

05-12 13:55:31.478  2029 17741 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='0', uuid='56498310681050',
payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":0,"uuid":56498310681050,"paramet

ers":{"functionInfo":{"IDCM_VolumeValue_Media":"25"}}}}

05-12 13:55:35.688  2029 17751 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='0', uuid='56502513765892',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":0,"uuid":56502513765892,"paramet

ers":{"functionInfo":{"IDCM_VolumeValue_Media":"26"}}}}

05-12 13:55:54.163  2029 17795 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='0', uuid='56520994461563',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":0,"uuid":56520994461563,"paramet

ers":{"functionInfo":{"IDCM_VolumeValue_Media":"25"}}}}

------------------------

#2 - 2023-05-17 16:10 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

BUG已流转给中控处理

#3 - 2023-05-17 16:10 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#4 - 2023-05-17 16:10 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

#5 - 2023-05-18 21:14 - CDTS_TEST 王成

- Status changed from CLOSED to New

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

今天最新出现这个问题抓取的日志地址：https://ofs.human-horizons.com/#/download/index/OCwMIgFLP%2Fs%3D

在连接蓝牙耳机时，断开连接会弹出音量设置条

#6 - 2023-05-18 21:15 - CDTS_TEST 王成

TaoZhanTao ZHAN 占涛 添加了评论 - 2023/05/18 10:37

128539 05-17 14:20:18.105 1578 1763 I CAR.AUDIO.FSE: onReceiveData receiveData =

{"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684304417449945538,"methodName":"getVolume","parameters":{"f

unctionInfo":

{"IDCM_VolumeValue_Media":"MEDIA"}

}}

128540 05-17 14:20:18.105 1578 1763 I CAR.AUDIO.FSE: receiveDataFromFse methodName = getVolume

128541 05-17 14:20:18.105 1578 1763 I CAR.AUDIO.FSE: receiveDataFromFse volumeType = MEDIA

128544 05-17 14:20:18.105 1578 1763 I CAR.AUDIO.FSE: notifyVolumeValueToFse volume = 39

128545 05-17 14:20:18.105 1578 1763 I CAR.AUDIO.FSE: setDataToFse functionType = 8, parameter = 39

128546 05-17 14:20:18.105 1578 1763 I CAR.AUDIO.FSE: convertToJsonFormat =

{"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"getVolume","messageType":1,"uuid":1684304417449945538,"parameters":{"f

unctionInfo":
*

{"IDCM_VolumeValue_Media":"39"}*

}}

128770 05-17 14:20:18.707 1578 1763 I CAR.AUDIO.FSE: onReceiveData receiveData =

{"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684304418050689652,"methodName":"isMute","parameters":{"functi

onInfo":

{"IDCM_VolumeMute_Media":"WHOLE_VEHICLE"}

}}

128772 05-17 14:20:18.707 1578 1763 I CAR.AUDIO.FSE: receiveDataFromFse methodName = isMute

128773 05-17 14:20:18.707 1578 1763 I CAR.AUDIO.FSE: receiveDataFromFse muteType = WHOLE_VEHICLE

128774 05-17 14:20:18.707 1578 1763 I CAR.AUDIO.FSE: notifyMuteStatusToFse muteStatus = false

128775 05-17 14:20:18.707 1578 1763 I CAR.AUDIO.FSE: setDataToFse functionType = 9, parameter = false

128776 05-17 14:20:18.707 1578 1763 I CAR.AUDIO.FSE: convertToJsonFormat =

{"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"isMute","messageType":1,"uuid":1684304418050689652,"parameters":{"functi

onInfo":

*

{"IDCM_VolumeMute_Media":"false"}*

}}

根据最新复现的log，主屏没有设置音量给副屏，请副屏调查一下音量条显示的原因

#7 - 2023-05-19 09:34 - CD FW 曹覃刚

- Category changed from 依赖客户及其供应商解决 to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#8 - 2023-05-19 14:50 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#9 - 2023-05-22 10:32 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

问题变更，且没有对应日志。

■ Next action

麻烦测试提供下对应的日志。

#10 - 2023-05-22 14:29 - CD FW-廖涛

- Assignee changed from CDTS_TEST 王成 to CD FW-廖涛

#11 - 2023-05-22 14:41 - CD FW-廖涛

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW-廖涛 to Multimedia组-RD3_TSCD 梁卿山

2025-07-04 3/5



■ Current conclusion

根据日志和现象看，在蓝牙耳机断开的时候，AudioService 会同步中控的音量及状态，然后显示了音量调节 UI。

日志如下：

11-11 00:02:33.139  1895  2056 I Avrcp_ext: storeVolume: Storing stream volume level for device 28:A5:3F:23:F4:A0 : 19

11-11 00:02:33.151  1076  1856 I AS.AudioDeviceBroker: handleBluetoothA2dpActiveDeviceChangeExt  state=0 addr=28:A5:3F:23:F4:A0 prof=2 supprNoisy=false vol=-1

11-11 00:02:33.162  1076  1856 I AS.AudioDeviceBroker: msg: setBluetoothA2dpDeviceConnectionStateSuppressNoisyIntent  state=0 addr=28:A5:3F:23:F4:A0 prof=2

supprNoisy=false vol=-1

11-11 00:02:33.181  1076  1853 D AS.AudioService: idcm_volume:syncIDCMicroAudioVolume bluetooth disconnected

11-11 00:02:33.181  1076  1853 D AudioIDCMicroNegotiator: idcm_volume:getIDCMicroVolume

11-11 00:02:33.206  1076  2677 D AudioIDCMicroNegotiator: idcm_volume:getIDCMicroVolume volume 10

11-11 00:02:33.207  1076  2677 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 10 isRequested=false

11-11 00:02:33.207  1076  2677 D AS.AudioService: idcm_volume:onSetIDCMicroVolume: 10

11-11 00:02:33.782  1076  1853 D AudioIDCMicroNegotiator: idcm_volume:getIDCMicroAudioMute

11-11 00:02:33.919  1915  2326 I vol.Events: writeEvent active_stream_changed STREAM_MUSIC

11-11 00:02:33.920  1076  2646 D AudioIDCMicroNegotiator: idcm_volume:getIDCMicroAudioMute mute false

11-11 00:02:33.920  1076  2646 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_off isRequested=false

11-11 00:02:33.920  1076  2646 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_off

11-11 00:02:33.982  1915  2326 I vol.Events: writeEvent level_changed STREAM_MUSIC 10

11-11 00:02:34.124  1915  1915 I vol.Events: writeEvent show_dialog volume_changed keyguard=false

11-11 00:02:34.388  1915  2326 I vol.Events: writeEvent level_changed STREAM_SYSTEM 2

11-11 00:02:34.389  1915  2326 I vol.Events: writeEvent level_changed STREAM_VOICE_CALL 2

11-11 00:02:34.393  1915  1915 I vol.Events: writeEvent show_dialog volume_changed keyguard=false

11-11 00:02:37.393  1915  1915 I vol.Events: writeEvent dismiss_dialog timeout

11-11 00:02:37.396  1915  2326 I vol.Events: writeEvent active_stream_changed UNKNOWN_STREAM_-1

■ Next action

麻烦卿山看下怎么处理。

#12 - 2023-05-22 18:54 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前分析：

副屏在蓝牙断开后，会主动获取当前中控的音量，

然后设置到副屏，这时会弹出UI变化，该部分还在咨询客户，是否需要修改。

#13 - 2023-05-24 14:45 - Multimedia组-RD3_TSCD 梁卿山

- File 音量UI.png added

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI 诗雨

该问题和客户确认，音量调节的提示暂时保留。

#14 - 2023-05-24 15:39 - CDTS_Test 吴诗雨

- Status changed from ASSIGNED to RESOLVED
#15 - 2023-05-24 15:40 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#16 - 2023-05-24 15:40 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

飞书20230513-100207.mp4 1.87 MB 2023-05-16 CDTS_TEST 王成

tlog_iov0201017500006162025411a2212290000000601_000103_0512135615.tar.gz10.7 MB 2023-05-16 CDTS_TEST 王成

音量UI.png 88.8 KB 2023-05-24 Multimedia组-RD3_TSCD 梁卿山
